<script setup>
import Cookies from 'js-cookie';

useHead({
  title: 'WEISEN',
  viewport: 'width=device-width, initial-scale=1, maximum-scale=1',
  charset: 'utf-8',
  meta: [
    { name: 'description', content: 'WEISEN' }
  ],
  bodyAttrs: {
    
  }
})

import useStore from '@/store';

const store = useStore();

store.getConfig();

//檢查cookie i18n_redirected是否存在不存在就設定語系
if(!Cookies.get('i18n_redirected')){
  Cookies.set('i18n_redirected', 'tw');
}

</script>
<template>
  <div>
    <NuxtLayout>
      <NuxtPage />
    </NuxtLayout>    
  </div>
</template>
